4.10.1 Linux and Windows Project gives version conflict error

I built 4.10.1 from source on Ubuntu 14.04 and it works fine.
I also installed 4.10.1 from the launcher on windows and tried to open my project I cloned from source control.

I get the error message “This project was built with a different version of the Engine” error and when I click “skip conversion” it seems to be working fine but is there anything I should be aware of?